Loading...
Searching...
No Matches
buffersrc.h File Reference
libavfilter » Buffer source API

Memory buffer source API. More...

`#include "avfilter.h"`

Go to the source code of this file.

## Data Structures

struct | AVBufferSrcParameters
| This structure contains the parameters describing the frames that will be passed to this filter. More...

## Enumerations

enum | { AV_BUFFERSRC_FLAG_NO_CHECK_FORMAT = 1 , AV_BUFFERSRC_FLAG_PUSH = 4 , AV_BUFFERSRC_FLAG_KEEP_REF = 8 }

## Functions

unsigned | av_buffersrc_get_nb_failed_requests (AVFilterContext *buffer_src)
| Get the number of failed requests.
AVBufferSrcParameters * | av_buffersrc_parameters_alloc (void)
| Allocate a new AVBufferSrcParameters instance.
int | av_buffersrc_parameters_set (AVFilterContext *ctx, AVBufferSrcParameters *param)
| Initialize the buffersrc or abuffersrc filter with the provided parameters.
av_warn_unused_result int | av_buffersrc_write_frame (AVFilterContext *ctx, const AVFrame *frame)
| Add a frame to the buffer source.
av_warn_unused_result int | av_buffersrc_add_frame (AVFilterContext *ctx, AVFrame *frame)
| Add a frame to the buffer source.
av_warn_unused_result int | av_buffersrc_add_frame_flags (AVFilterContext *buffer_src, AVFrame *frame, int flags)
| Add a frame to the buffer source.
int | av_buffersrc_close (AVFilterContext *ctx, int64_t pts, unsigned flags)
| Close the buffer source after EOF.
int | av_buffersrc_get_status (AVFilterContext *ctx)
| Returns 0 or a negative AVERROR code.

## Detailed Description

Memory buffer source API.

Definition in file buffersrc.h.